# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'role', 'model_label': 'role'},
    {'model_name': 'userrole', 'model_label': 'user role'},
    {'model_name': 'requiredfield', 'model_label': 'required field'},
    {'model_name': 'statusflow', 'model_label': 'status flow'},
    {'model_name': 'usedfield', 'model_label': 'used field'},
    {'model_name': 'filter', 'model_label': 'filter'},
    {'model_name': 'menu', 'model_label': 'menu'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:role_{model['model_name']}_add",
        "perms": [f"role.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:role_{model['model_name']}_changelist",
        "perms": [
            f"role.view_{model['model_name']}",
            f"role.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'role',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'role'}},
    'perms': ['role.*'],
    'children': children
}]
